api1: &alapansApi
  baseUrl: "https://gca44347dc41d4c-alapansdw.adb.eu-paris-1.oraclecloudapps.com/ords/alapans/sensors/date"

api2: &senslogApi
  baseUrl: "https://sensor.lesprojekt.cz/senslog15/"

settings:
  - Alapans:
      name: "Alapans fetcher"
      provider: "cz.senslog.connector.fetch.alapans.ConnectorFetchAlapansProvider"
      <<: *alapansApi

      timeZone: "Europe/Riga"
      startDate: "2023-05-29" # date time to start fetching
      newDataExecutionTime: "06:30:00"  # time to start new period of fetch
      period: 1 # nm of days to fetch

      sessionProxy:
        <<: *senslogApi
        user: "vestiena"
        group: "vestiena"
        senslogAuth:
          username: "vestiena"
          password: "potato"

  - SenslogV1: # name of the pusher module, e.g., SenslogV1
      name: "Senslog V1"
      provider: "cz.senslog.connector.push.rest.senslog.v1.SenslogV1ConnectorPushProvider"
      <<: *senslogApi

connectors:
  - AlapansSenslogV1:
      fetcher: "Alapans"
      pusher: "SenslogV1"
      period: 3600      # 600 = 10min
#      startAt: "06:30:00" # hh:mm:ss  # non-mandatory attribute
      initDelay: 5        # non-mandatory attribute
